bugGNU Screen - Bugs: bug #61103, Unable to build with autoconf 2.71

 
 

bug #61103: Unable to build with autoconf 2.71

Submitted by:  Josef Ridky <jridky>
Submitted on:  Wed 01 Sep 2021 01:56:05 PM UTC
 
Category:  Build/Install Severity:  3 - Normal
Priority:  * 5 - Normal Status:  Need Info
Privacy:  Public Assigned to:  None
Open/Closed:  Open Release:  4.8.0
Fixed Release:  None Planned Release:  None
Work Required:  None
* Mandatory Fields

Add a New Comment (Rich Markup)
   

Comment Type & Canned Response:
       No canned response available

 

Wed 02 Feb 2022 04:39:22 PM UTC, comment #2: 

original submission:

> Any suggestions?


Josef, can you try to build GNU Screen 4.9.0 like Axel advised it with autoreconf?  If not, please tell what operating system do you use.

Alexander Naumov <anaumov>
Project Administrator
Wed 02 Feb 2022 03:02:57 PM UTC, comment #1: 

Can't reproduce. Didn't need any patch to get Screen 4.8.0 working with autoconf 2.71 in Debian.

We though do run `autoreconf` (with some options, probably -f and -i) by default, so we don't use the supplied configure script anyway but rely on the configure.ac.

Additionally, this might be solved with 4.9.0 which didn't ship a configure script anymore, just configure.ac.

Axel Beckert <abe>
Wed 01 Sep 2021 01:56:05 PM UTC, original submission:  

When tried to build the screen with autoconf 2.71, following output is printed:

```
configure.ac:10: warning: The macro `AC_CONFIG_HEADER' is obsolete.
configure.ac:10: You should run autoupdate.
./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from...
configure.ac:10: the top level
configure.ac:39: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:39: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:39: the top level
configure.ac:48: warning: The macro `AC_ISC_POSIX' is obsolete.
configure.ac:48: You should run autoupdate.
./lib/autoconf/specific.m4:550: AC_ISC_POSIX is expanded from...
configure.ac:48: the top level
configure.ac:49: warning: AC_LINK_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
./lib/autoconf/specific.m4:364: AC_USE_SYSTEM_EXTENSIONS is expanded from...
configure.ac:49: the top level
configure.ac:56: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:56: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:56: the top level
configure.ac:57: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:57: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:57: the top level
configure.ac:104: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:104: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:104: the top level
configure.ac:109: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:109: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:109: the top level
configure.ac:110: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:110: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:110: the top level
configure.ac:115: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:115: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:115: the top level
configure.ac:117: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:117: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:117: the top level
configure.ac:118: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:118: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:118: the top level
configure.ac:116: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:116: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:116: the top level
configure.ac:130: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:130: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:130: the top level
configure.ac:140: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:140: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:140: the top level
configure.ac:141: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:141: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:141: the top level
configure.ac:147: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:147: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:147: the top level
configure.ac:158: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:158: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:158: the top level
configure.ac:166: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:166: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:166: the top level
configure.ac:169: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:169: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:169: the top level
configure.ac:170: warning: The macro `AC_TRY_COMPILE' is obsolete.
configure.ac:170: You should run autoupdate.
./lib/autoconf/general.m4:2847: AC_TRY_COMPILE is expanded from...
configure.ac:170: the top level
configure.ac:175: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:175: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:175: the top level
configure.ac:182: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:182: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:182: the top level
configure.ac:188: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:188: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:188: the top level
configure.ac:193: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:193: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:193: the top level
configure.ac:194: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:194: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:194: the top level
configure.ac:203: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:203: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:203: the top level
configure.ac:233: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:233: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:233: the top level
configure.ac:248: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:248: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:248: the top level
configure.ac:234: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:234: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:234: the top level
configure.ac:253: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:253: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:253: the top level
configure.ac:254: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:254: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:254: the top level
configure.ac:257: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:257: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:257: the top level
configure.ac:258: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:258: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:258: the top level
configure.ac:267: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:267: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:267: the top level
configure.ac:268: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:268: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:268: the top level
configure.ac:277: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:277: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:277: the top level
configure.ac:278: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:278: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:278: the top level
configure.ac:287: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:287: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:287: the top level
configure.ac:290: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:290: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:290: the top level
configure.ac:291: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:291: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:291: the top level
configure.ac:288: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:288: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:288: the top level
configure.ac:298: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:298: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:298: the top level
configure.ac:363: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:363: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:363: the top level
configure.ac:364: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:364: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:364: the top level
configure.ac:365: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:365: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:365: the top level
configure.ac:299: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:299: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:299: the top level
configure.ac:369: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:369: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:369: the top level
configure.ac:412: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:412: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:412: the top level
configure.ac:413: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:413: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:413: the top level
configure.ac:414: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:414: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:414: the top level
configure.ac:370: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:370: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:370: the top level
configure.ac:424: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:424: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:424: the top level
configure.ac:475: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:475: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:475: the top level
configure.ac:476: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:476: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:476: the top level
configure.ac:477: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:477: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:477: the top level
configure.ac:425: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:425: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:425: the top level
configure.ac:481: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:481: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:481: the top level
configure.ac:514: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:514: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:514: the top level
configure.ac:515: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:515: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:515: the top level
configure.ac:517: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:517: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:517: the top level
configure.ac:482: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:482: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:482: the top level
configure.ac:620: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:620: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:620: the top level
configure.ac:621: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:621: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:621: the top level
configure.ac:622: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:622: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:622: the top level
configure.ac:528: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:528: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:528: the top level
configure.ac:627: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:627: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:627: the top level
configure.ac:631: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:631: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:631: the top level
configure.ac:636: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:636: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:636: the top level
configure.ac:639: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:639: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:639: the top level
configure.ac:642: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:642: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:642: the top level
configure.ac:645: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:645: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:645: the top level
configure.ac:648: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:648: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:648: the top level
configure.ac:651: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:651: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:651: the top level
configure.ac:652: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:652: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:652: the top level
configure.ac:649: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:649: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:649: the top level
configure.ac:646: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:646: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:646: the top level
configure.ac:643: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:643: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:643: the top level
configure.ac:640: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:640: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:640: the top level
configure.ac:637: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:637: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:637: the top level
configure.ac:632: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:632: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:632: the top level
configure.ac:628: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:628: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:628: the top level
configure.ac:659: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:659: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:659: the top level
configure.ac:660: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:660: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:660: the top level
configure.ac:661: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:661: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:661: the top level
configure.ac:655: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:655: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:655: the top level
configure.ac:662: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:662: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:662: the top level
configure.ac:663: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:663: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:663: the top level
configure.ac:669: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:669: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:669: the top level
configure.ac:676: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:676: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:676: the top level
configure.ac:679: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:679: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:679: the top level
configure.ac:693: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:693: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:693: the top level
configure.ac:729: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:729: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:729: the top level
configure.ac:803: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:803: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:803: the top level
configure.ac:731: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:731: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:731: the top level
configure.ac:731: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:731: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2962: _AC_RUN_IFELSE is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2981: AC_RUN_IFELSE is expanded from...
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:731: the top level
configure.ac:731: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:731: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2962: _AC_RUN_IFELSE is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2981: AC_RUN_IFELSE is expanded from...
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:731: the top level
configure.ac:811: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:811: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:811: the top level
configure.ac:828: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:828: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:828: the top level
configure.ac:829: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:829: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:829: the top level
configure.ac:812: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:812: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:812: the top level
configure.ac:844: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:844: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:844: the top level
configure.ac:845: warning: The macro `AC_TRY_COMPILE' is obsolete.
configure.ac:845: You should run autoupdate.
./lib/autoconf/general.m4:2847: AC_TRY_COMPILE is expanded from...
configure.ac:845: the top level
configure.ac:865: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:865: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:865: the top level
configure.ac:871: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:871: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:871: the top level
configure.ac:872: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:872: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:872: the top level
configure.ac:866: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:866: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:866: the top level
configure.ac:885: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:885: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:885: the top level
configure.ac:892: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:892: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:892: the top level
configure.ac:894: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:894: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:894: the top level
configure.ac:897: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:897: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/headers.m4:89: _AC_CHECK_HEADER_COMPILE is expanded from...
./lib/autoconf/headers.m4:56: AC_CHECK_HEADER is expanded from...
configure.ac:897: the top level
configure.ac:897: warning: The macro `AC_TRY_COMPILE' is obsolete.
configure.ac:897: You should run autoupdate.
./lib/autoconf/general.m4:2847: AC_TRY_COMPILE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/headers.m4:89: _AC_CHECK_HEADER_COMPILE is expanded from...
./lib/autoconf/headers.m4:56: AC_CHECK_HEADER is expanded from...
configure.ac:897: the top level
configure.ac:904: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:904: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:904: the top level
configure.ac:913: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:913: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:913: the top level
configure.ac:916: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:916: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:916: the top level
configure.ac:950: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:950: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:950: the top level
configure.ac:952: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:952: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:952: the top level
configure.ac:955: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:955: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:955: the top level
configure.ac:961: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:961: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:961: the top level
configure.ac:962: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:962: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:962: the top level
configure.ac:963: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:963: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:963: the top level
configure.ac:964: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:964: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:964: the top level
configure.ac:965: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:965: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:965: the top level
configure.ac:966: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:966: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:966: the top level
configure.ac:967: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:967: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:967: the top level
configure.ac:1019: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:1019: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:1019: the top level
configure.ac:1024: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1024: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1024: the top level
configure.ac:1025: warning: The macro `AC_TRY_COMPILE' is obsolete.
configure.ac:1025: You should run autoupdate.
./lib/autoconf/general.m4:2847: AC_TRY_COMPILE is expanded from...
configure.ac:1025: the top level
configure.ac:1032: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1032: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1032: the top level
configure.ac:1033: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1033: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1033: the top level
configure.ac:1043: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1043: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1043: the top level
configure.ac:1044: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:1044: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:1044: the top level
configure.ac:1085: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1085: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1085: the top level
configure.ac:1091: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1091: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1091: the top level
configure.ac:1092: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1092: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1092: the top level
configure.ac:1100: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1100: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1100: the top level
configure.ac:1101: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1101: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1101: the top level
configure.ac:1103: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1103: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1103: the top level
configure.ac:1104: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1104: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1104: the top level
configure.ac:1104: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1104: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2894: _AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2911: AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1104: the top level
configure.ac:1104: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:1104: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2894: _AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2911: AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1104: the top level
configure.ac:1104: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1104: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2894: _AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2911: AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1104: the top level
configure.ac:1104: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:1104: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2894: _AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2911: AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
./lib/autoconf/general.m4:2894: _AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2911: AC_LINK_IFELSE is expanded from...
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1104: the top level
configure.ac:1119: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1119: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1119: the top level
configure.ac:1120: warning: The macro `AC_TRY_COMPILE' is obsolete.
configure.ac:1120: You should run autoupdate.
./lib/autoconf/general.m4:2847: AC_TRY_COMPILE is expanded from...
configure.ac:1120: the top level
configure.ac:1131: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1131: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1131: the top level
configure.ac:1134: warning: The macro `AC_TRY_CPP' is obsolete.
configure.ac:1134: You should run autoupdate.
./lib/autoconf/general.m4:2762: AC_TRY_CPP is expanded from...
configure.ac:1134: the top level
configure.ac:1132: warning: The macro `AC_TRY_CPP' is obsolete.
configure.ac:1132: You should run autoupdate.
./lib/autoconf/general.m4:2762: AC_TRY_CPP is expanded from...
configure.ac:1132: the top level
configure.ac:1140: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1140: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1140: the top level
configure.ac:1141: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1141: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1141: the top level
configure.ac:1143: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1143: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1143: the top level
configure.ac:1144: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1144: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1144: the top level
configure.ac:1146: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1146: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1146: the top level
configure.ac:1147: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1147: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1147: the top level
configure.ac:1149: warning: The macro `AC_CHECKING' is obsolete.
configure.ac:1149: You should run autoupdate.
./lib/autoconf/general.m4:2499: AC_CHECKING is expanded from...
configure.ac:1149: the top level
configure.ac:1150: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:1150: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:1150: the top level
configure.ac:1178: warning: The macro `AC_FD_MSG' is obsolete.
configure.ac:1178: You should run autoupdate.
./lib/autoconf/general.m4:400: AC_FD_MSG is expanded from...
configure.ac:1178: the top level
configure.ac:1164: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:1164: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:1164: the top level
configure.ac:1181: warning: The macro `AC_TRY_RUN' is obsolete.
configure.ac:1181: You should run autoupdate.
./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
configure.ac:1181: the top level
configure.ac:1199: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1199: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1199: the top level
configure.ac:1205: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1205: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1205: the top level
configure.ac:1212: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1212: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1212: the top level
configure.ac:1228: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1228: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1228: the top level
configure.ac:1231: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1231: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1231: the top level
configure.ac:1244: warning: The macro `AC_TRY_LINK' is obsolete.
configure.ac:1244: You should run autoupdate.
./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from...
configure.ac:1244: the top level
configure.ac:1289: warning: AC_OUTPUT should be used without arguments.
configure.ac:1289: You should run autoupdate.
autoheader: warning: WARNING: Using auxiliary files such as 'acconfig.h', 'config.h.bot'
autoheader: WARNING: and 'config.h.top', to define templates for 'config.h.in'
autoheader: WARNING: is deprecated and discouraged.
autoheader:
autoheader: WARNING: Using the third argument of 'AC_DEFINE_UNQUOTED' and
autoheader: WARNING: 'AC_DEFINE' allows one to define a template without
autoheader: WARNING: 'acconfig.h':
autoheader:
autoheader: WARNING:   AC_DEFINE([NEED_FUNC_MAIN], 1,
autoheader: [Define if a function 'main' is needed.])
autoheader:
autoheader: WARNING: More sophisticated templates can also be produced, see the
autoheader: WARNING: documentation.
configure.ac: error: required file 'install-sh' not found
configure.ac:   try running autoreconf --install
```

When I try to run autoupdate against configure.ac file, it ends with following message:

```
/usr/bin/m4:/tmp/auY2MxJL/input.m4:1247: ERROR: end of file in string
autoupdate: /usr/bin/m4 failed with exit status: 1
```

Same result is even with older autoconf package installed.
Any suggestions?

Josef Ridky <jridky>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by anaumov (Posted a comment)
  • -email is unavailable- added by abe (Posted a comment)
  • -email is unavailable- added by jridky (Submitted the item)
  •  

    There are 0 votes so far. Votes easily highlight which items people would like to see resolved in priority, independently of the priority of the item set by tracker managers.

    Only logged-in users can vote.

     

     

     

     

    Follows 1 latest change.

    Date Changed by Updated Field Previous Value => Replaced by
    2022-02-02 anaumov StatusNone => Need Info

    Back to the top


    Powered by Savane 3.9